﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=12.8
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Private nid As Int = 1
	Private m As MediaPlayer
	Private AzanTimer As Timer
	Private lock As PhoneWakeState
End Sub

Sub Service_Create
	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER 'we are handling it ourselves
	'Just a test that would play every minute
	AzanTimer.Initialize("checker", DateTime.TicksPerMinute)
	m.Initialize
	m.Load(File.DirAssets, "cue.mp3")
	lock.PartialLock
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StartForeground(nid, CreateNotification("..."))
	AzanTimer.Enabled = True
End Sub

Sub checker_Tick
	Dim n As Notification = CreateNotification("Playing song...")
	n.Notify(nid)
	m.Play
End Sub

Sub Service_Destroy
	If AzanTimer.Enabled Then
		AzanTimer.Enabled = False
	End If
	lock.ReleasePartialLock
End Sub

Sub CreateNotification (Body As String) As Notification
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	notification.SetInfo("Tracking song", Body, Main)
	Return notification
End Sub
